searchNodes=[{"type":"module","title":"Sanity.Sync","doc":"For syncing content from Sanity CMS to Ecto. Suggested strategy for syncing Call sync/2 when a webhook is called to immediately create, update, or delete the document. Use sync_all/1 for the inital import of documents and to reconcile created/updates webhooks that were missed. Use reconcile_deleted/1 to reconcile any deleted webhooks that were missed.","ref":"Sanity.Sync.html"},{"type":"function","title":"Sanity.Sync.get_doc/1","doc":"Gets a single document. Returns nil if document does not exist.","ref":"Sanity.Sync.html#get_doc/1"},{"type":"function","title":"Sanity.Sync.get_doc!/1","doc":"Gets a single document. Raises Ecto.NoResultsError if document does not exist.","ref":"Sanity.Sync.html#get_doc!/1"},{"type":"function","title":"Sanity.Sync.reconcile_deleted/1","doc":"Deletes any Sanity.Sync.Doc records in Ecto that correspond with documents that no longer exist in Sanity CMS. Options :request_opts ( keyword/0 ) - Required. Options to be passed to Sanity.request/2 . :batch_size ( pos_integer/0 ) - Number of records to fetch per batch. The default value is 200 .","ref":"Sanity.Sync.html#reconcile_deleted/1"},{"type":"function","title":"Sanity.Sync.sync/2","doc":"Fetches a single document from Sanity. If the document exists then upsert_sanity_doc!/2 will be called. If the document doesn't exist, then the Sanity.Sync.Doc for that document will be deleted. Options :callback (function of arity 1) - Callback function that will be called after the document is upserted. It will be passed a map like %{doc: doc, repo: repo} . This callback is not called when the record is deleted. :request_opts ( keyword/0 ) - Required. Options to be passed to Sanity.request/2 .","ref":"Sanity.Sync.html#sync/2"},{"type":"function","title":"Sanity.Sync.sync_all/1","doc":"Fetches all documents from Sanity and calls upsert_sanity_doc!/2 . Options :callback (function of arity 1) - Callback function that will be called after the document is upserted. It will be passed a map like %{doc: doc, repo: repo} . This callback is not called when the record is deleted. :request_opts ( keyword/0 ) - Required. Options to be passed to Sanity.request/2 . :types (list of String.t/0 ) - Required. List of types to sync.","ref":"Sanity.Sync.html#sync_all/1"},{"type":"function","title":"Sanity.Sync.upsert_sanity_doc!/2","doc":"Upserts a sanity document. Options :callback (function of arity 1) - Callback function that will be called after the document is upserted. It will be passed a map like %{doc: doc, repo: repo} . This callback is not called when the record is deleted.","ref":"Sanity.Sync.html#upsert_sanity_doc!/2"},{"type":"module","title":"Sanity.Sync.Doc","doc":"Ecto schema for a Sanity document.","ref":"Sanity.Sync.Doc.html"},{"type":"extras","title":"Sanity.Sync","doc":"For syncing content from Sanity CMS to Ecto/PostgreSQL.","ref":"readme.html"},{"type":"extras","title":"Sanity.Sync - Installation","doc":"The package can be installed by adding sanity_sync to your list of dependencies in mix.exs : def deps do [ { :sanity_sync , &quot;~&gt; 0.1&quot; } ] end See the docs for usage.","ref":"readme.html#installation"},{"type":"extras","title":"Sanity.Sync - Configuration","doc":"Configure Ecto repo: config :sanity_sync , :repo , MyApp.Repo","ref":"readme.html#configuration"},{"type":"extras","title":"Sanity.Sync - Migrations","doc":"Copy the migrations from this project to your app.","ref":"readme.html#migrations"}]